# Generated by Django 2.2.3 on 2020-04-11 22:43

from django.db import migrations, models

def forwards_func(apps, schema_editor):
    # We get the model from the versioned app registry;
    # if we directly import it, it'll be the wrong version
    Country = apps.get_model("places", "Country")
    Region = apps.get_model("places", "Region")
    db_alias = schema_editor.connection.alias

    Country.objects.using(db_alias).bulk_create([
        Country(name="CHILE", code="CL"),
    ])

    country = Country.objects.using(db_alias).get(pk=1)

    Region.objects.using(db_alias).bulk_create([
        Region(name="TARAPACA", country=country,id_region='R1'),
        Region(name="ANTOFAGASTA", country=country,id_region='R2'),
        Region(name="ATACAMA", country=country,id_region='R3'),
        Region(name="COQUIMBO", country=country,id_region='R4'),
        Region(name="VALPARAISO", country=country,id_region='R5'),
        Region(name="LIBERTADOR GENERAL BERNARDO O'HIGGINS", country=country,id_region='R6'),
        Region(name="MAULE", country=country,id_region='R7'),
        Region(name="BIO BIO", country=country,id_region='R8'),
        Region(name="LA ARAUCANIA", country=country,id_region='R9'),
        Region(name="LOS LAGOS", country=country,id_region='R10'),
        Region(name="AISEN DEL GENERAL CARLOS IBANEZ DEL CAMPO", country=country,id_region='R11'),
        Region(name="MAGALLANES Y DE LA ANTARTICA CHILENA", country=country,id_region='R12'),
        Region(name="METROPOLITANA DE SANTIAGO", country=country,id_region='RM'),
        Region(name="LOS RIOS", country=country,id_region='R14'),
        Region(name="ARICA Y PARINACOTA", country=country,id_region='R15'),
        Region(name="NUBLE", country=country,id_region='R16'),
    ])

def reverse_func(apps, schema_editor):
    # forwards_func() creates two PetType instances,
    # so reverse_func() should delete them.
    Country = apps.get_model("places", "Country")
    Region = apps.get_model("places", "Region")
    db_alias = schema_editor.connection.alias
    
    Country.objects.using(db_alias).filter(name="CHILE",code='CL').delete()
    
    Region.objects.using(db_alias).filter(id_region="R1").delete()
    Region.objects.using(db_alias).filter(id_region="R2").delete()
    Region.objects.using(db_alias).filter(id_region="R3").delete()
    Region.objects.using(db_alias).filter(id_region="R4").delete()
    Region.objects.using(db_alias).filter(id_region="R5").delete()
    Region.objects.using(db_alias).filter(id_region="R6").delete()
    Region.objects.using(db_alias).filter(id_region="R7").delete()
    Region.objects.using(db_alias).filter(id_region="R8").delete()
    Region.objects.using(db_alias).filter(id_region="R9").delete()
    Region.objects.using(db_alias).filter(id_region="R10").delete()
    Region.objects.using(db_alias).filter(id_region="R11").delete()
    Region.objects.using(db_alias).filter(id_region="R12").delete()
    Region.objects.using(db_alias).filter(id_region="RM").delete()
    Region.objects.using(db_alias).filter(id_region="R13").delete()
    Region.objects.using(db_alias).filter(id_region="R14").delete()
    Region.objects.using(db_alias).filter(id_region="R15").delete()
    Region.objects.using(db_alias).filter(id_region="R16").delete()



class Migration(migrations.Migration):

    dependencies = [
        ('places', '0011_auto_20200130_1734'),
    ]

    operations = [
        migrations.AddField(
            model_name='commune',
            name='id_municipality',
            field=models.CharField(blank=True, max_length=5, null=True, verbose_name='Id Municipio'),
        ),
        migrations.AddField(
            model_name='historicalcommune',
            name='id_municipality',
            field=models.CharField(blank=True, max_length=5, null=True, verbose_name='Id Municipio'),
        ),
        migrations.AddField(
            model_name='historicalregion',
            name='id_region',
            field=models.CharField(blank=True, max_length=5, null=True, verbose_name='Id Región'),
        ),
        migrations.AddField(
            model_name='historicalstreet',
            name='id_street',
            field=models.CharField(blank=True, max_length=5, null=True, verbose_name='Id Street'),
        ),
        migrations.AddField(
            model_name='historicalstreetlocation',
            name='id_address',
            field=models.PositiveIntegerField(blank=True, null=True),
        ),
        migrations.AddField(
            model_name='historicalstreetlocation',
            name='id_address_full',
            field=models.CharField(blank=True, max_length=100, null=True),
        ),
        migrations.AddField(
            model_name='region',
            name='id_region',
            field=models.CharField(blank=True, max_length=5, null=True, verbose_name='Id Región'),
        ),
        migrations.AddField(
            model_name='street',
            name='id_street',
            field=models.CharField(blank=True, max_length=5, null=True, verbose_name='Id Street'),
        ),
        migrations.AddField(
            model_name='streetlocation',
            name='id_address',
            field=models.PositiveIntegerField(blank=True, null=True),
        ),
        migrations.AddField(
            model_name='streetlocation',
            name='id_address_full',
            field=models.CharField(blank=True, max_length=100, null=True),
        ),

        migrations.RunPython(forwards_func, reverse_func),
    ]
